import { __decorate } from "tslib";
import Intact from 'intact-angular';
import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { Select, Option, OptionGroup } from './components/select';
export var SelectComponent = Intact.decorate(Select, 'k-select');
export var OptionComponent = Intact.decorate(Option, 'k-option');
export var OptionGroupComponent = Intact.decorate(OptionGroup, 'k-option-group');
var components = [SelectComponent, OptionComponent, OptionGroupComponent];
var SelectModule = /** @class */ (function () {
    function SelectModule() {
    }
    SelectModule = __decorate([
        NgModule({
            declarations: components,
            exports: components,
            schemas: [NO_ERRORS_SCHEMA]
        })
    ], SelectModule);
    return SelectModule;
}());
export { SelectModule };